Module ij
Package ij

# Class ImageJ.ExceptionHandler

java.lang.Object
ij.ImageJ.ExceptionHandler

All Implemented Interfaces:
  `Thread.UncaughtExceptionHandler`

Enclosing class:
  `ImageJ`

public static class ImageJ.ExceptionHandler extends Object implements Thread.UncaughtExceptionHandler
Handles exceptions on the EDT.

## Constructor Summary

Constructors
Constructor
Description
`ExceptionHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Throwable thrown)`
`protected void`
`handleException(String tname, Throwable e)`
`void`
`uncaughtException(Thread thread, Throwable thrown)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionHandler

public ExceptionHandler()

## Method Details

### handle

public void handle(Throwable thrown)

### uncaughtException

public void uncaughtException(Thread thread, Throwable thrown)

Specified by:
  `uncaughtException` in interface `Thread.UncaughtExceptionHandler`

### handleException

protected void handleException(String tname, Throwable e)